m4_define(PROGRAM, para_client)
m4_define(DEFAULT_HISTORY_FILE, ~/.paraslash/client.history)
m4_define(DEFAULT_CONFIG_FILE,~/.paraslash/client.conf)
[suite client]
version-string = GIT_VERSION()
[supercommand para_client]
	purpose = Communicate with para_server through the paraslash control port
	non-opts-name = [command [options]]
	[description]
		para_client is the program used to connect to a running instance of
		para_server. If a command is provided, this command is sent to the
		server and any output received from the server is echoed to stdout. If
		no command is given, para_client enters interactive mode.
	[/description]
	m4_include(common-option-section.m4)
	m4_include(help.m4)
	m4_include(detailed-help.m4)
	m4_include(version.m4)
	m4_include(loglevel.m4)
	m4_include(config-file.m4)
	m4_include(history-file.m4)
	m4_include(per-command-options-section.m4)
	[option hostname]
		short_opt = i
		summary = IP address or name of the host where para_server is running
		typestr = host
		arg_info = required_arg
		arg_type = string
		default_val = localhost
		[help]
			Both IPv4 and IPv6 addresses are supported.
		[/help]
	[option user]
		short_opt = u
		summary = the paraslash username to authenticate as
		arg_info = required_arg
		arg_type = string
		typestr = name
		[help]
			If this is not given, the current username is assumed.
		[/help]
	[option server-port]
		short_opt = p
		summary = the port on the remote host to connect
		arg_info = required_arg
		arg_type = uint32
		typestr = portnumber
		default_val = 2990
		[help]
			If this is not given, the current username is assumed.
		[/help]
	[option key-file]
		short_opt = k
		summary = path to private key
		arg_info = required_arg
		arg_type = string
		typestr = filename
		[help]
			If not given, the following files are tried, in order:
			$HOME/.paraslash/key.$LOGNAME, $HOME/.ssh/id_rsa. It is a fatal error
			if the key file can not be opened, or is world-readable.
		[/help]
	m4_include(complete.m4)
