m4_define(PROGRAM, para_recv)
[suite recv]
version-string = GIT_VERSION()
[supercommand para_recv]
	purpose = receive an audio stream
	[description]
		para_recv starts one paraslash receiver (http, dccp, udp or afh)
		to produce an audio stream in the same way para_audiod would download
		the stream from para_server (http, dccp or udp) or para_server makes a
		stream out of an audio file (afh). This is mostly useful for debugging.

		Regardless of which receiver was started, the audio stream is written
		to stdout.
	[/description]
	m4_include(common-option-section.m4)
	m4_include(help.m4)
	m4_include(detailed-help.m4)
	m4_include(version.m4)
	m4_include(loglevel.m4)
	m4_include(per-command-options-section.m4)
	[option receiver]
		short_opt = r
		summary = select the receiver
		arg_info = required_arg
		arg_type = string
		typestr = receiver_spec
		[help]
			Any options for the selected receiver must be quoted. Example:

				-r 'http -i www.paraslash.org -p 8009'

			If no receiver is given, http is assumed.
		[/help]
